aboutsummaryrefslogtreecommitdiffstats
path: root/tools/testing/selftests/kexec/test_kexec_file_load.sh
diff options
context:
space:
mode:
authorMimi Zohar <zohar@linux.ibm.com>2019-03-12 14:53:54 -0400
committerShuah Khan <skhan@linuxfoundation.org>2019-04-17 15:32:34 -0600
commit7cea0b9227dcfd632fea1ee6a89f279da64fdd9d (patch)
tree978b7e274bc42d6776daaf1b57de54cfc2ac816b /tools/testing/selftests/kexec/test_kexec_file_load.sh
parentselftests/kexec: Add missing '=y' to config options (diff)
downloadlinux-dev-7cea0b9227dcfd632fea1ee6a89f279da64fdd9d.tar.xz
linux-dev-7cea0b9227dcfd632fea1ee6a89f279da64fdd9d.zip
selftests/kexec: check kexec_load and kexec_file_load are enabled
Skip the kexec_load and kexec_file_load tests, if they aren't configured in the kernel. This change adds a new requirement that ikconfig is configured in the kexec_load test. Suggested-by: Dave Young <dyoung@redhat.com> Signed-off-by: Mimi Zohar <zohar@linux.ibm.com> Reviewed-by: Petr Vorel <pvorel@suse.cz> Signed-off-by: Shuah Khan <skhan@linuxfoundation.org>
Diffstat (limited to 'tools/testing/selftests/kexec/test_kexec_file_load.sh')
-rwxr-xr-xtools/testing/selftests/kexec/test_kexec_file_load.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/tools/testing/selftests/kexec/test_kexec_file_load.sh b/tools/testing/selftests/kexec/test_kexec_file_load.sh
index 4603282dd8b6..fa7c24e8eefb 100755
--- a/tools/testing/selftests/kexec/test_kexec_file_load.sh
+++ b/tools/testing/selftests/kexec/test_kexec_file_load.sh
@@ -163,6 +163,11 @@ require_root_privileges
# get the kernel config
get_kconfig
+kconfig_enabled "CONFIG_KEXEC_FILE=y" "kexec_file_load is enabled"
+if [ $? -eq 0 ]; then
+ log_skip "kexec_file_load is not enabled"
+fi
+
# Determine which kernel config options are enabled
kconfig_enabled "CONFIG_IMA_APPRAISE=y" "IMA enabled"
ima_appraise=$?